## org.codehaus.groovy.grails.compiler.injection
Interface GrailsDomainClassInjector

All Superinterfaces:
  ClassInjector

All Known Implementing Classes:
  DefaultGrailsDomainClassInjector

    public interface GrailsDomainClassInjector

extends ClassInjector

Mainly just a marker interface for implementations that perform injection on domain classes

Since:
  0.2 Created: 20th June 2006
Author:
  Graeme Rocher

Method Summary
`void` `performInjectionOnAnnotatedEntity(org.codehaus.groovy.ast.ClassNode classNode)` This method doesn't check with the specified ClassNode is a valid entity and assumes it is and proceeds with the injection regardless

Methods inherited from interface org.codehaus.groovy.grails.compiler.injection.ClassInjector
`performInjection, shouldInject`

Method Detail

### performInjectionOnAnnotatedEntity

    void performInjectionOnAnnotatedEntity(org.codehaus.groovy.ast.ClassNode classNode)

  This method doesn't check with the specified ClassNode is a valid entity and assumes it is and proceeds with the injection regardless

  Parameters:
    `classNode` - The ClassNode
  Since:
    1.1

Copyright (c) 2005-2009 The Grails project